@charset "utf-8";
/* CSS Document */
@import url("https://use.typekit.net/ycp5oxj.css");

html{
	scroll-behavior: smooth;
}

body{
	margin: 0 auto;
	background: url("/images/site-bg.png") no-repeat center top #060408;
}

/* General Font */

p, li, dt, dd, a, button, label, input, select, option, textarea, td, th{
	font-family: "Inter", san-serif;
	font-optical-sizing: auto;
	font-size: 12pt;
	font-weight: 300;
	color: #fff;
}

h1, h2, h3, h4, h5{
	font-family: "Inter", san-serif;
	font-optical-sizing: auto;
	font-weight: 700;
	color: #fff;
}

/*---------------*/
/* General Links */


/*---------------*/
/* Form Elements */

button.headerLink{
	width: max-content;
  	font-size: 12pt;
  	font-weight: 500;
  	color: #fff;
  	border: none;
  	background: none;
  	cursor: pointer;
}

/*---------------*/
/* Header */

.header{
	max-height: 120px;
	width: 100%;
	margin: 0 auto;
	left: 0;
	top: 0;
	z-index: 2;
	position: fixed;
	color: #fff;
	display: block;
}

.productsHeader{
	display: flex;
  	justify-content: space-between;
  	align-items: center;
  	position: relative;
  	background-size: 100% 100%;
	background-color: rgba(6,4,8,0.50);
	border-bottom: 1px solid #BE8DF1;
	opacity: 1;
}

.portalHeader{
	display: flex;
  	justify-content: space-between;
  	align-items: center;
  	position: relative;
	padding: 0 15px;
	width: 100%;
}

.productsHeader::after, .portalHeader::after{
	height: 100%;
	width: 3rem;
	content: '';
}

.productHeaderToggle{
	display: flex;
	padding: 0.75rem 0 0.75rem 1rem;
	align-items: center;
}

.portalHeaderToggle{
	padding: 0.75rem 0 0.75rem 0;
	display: none;
	align-items: center;
}

.portalHeaderToggle901{
	padding: 0.75rem 0.75rem 0.75rem 7px;
	translate: -55px 0;
	transition: translate 0.2s ease-out, opacity 0.2s ease, visibility 0s linear 0.2s;
	display: flex;
	align-items: center;
	opacity: 0;
	visibility: hidden;
}

.portalHeaderToggle901--expanded{
	transition: translate 0.2s ease-out, opacity 0.2s ease, visibility 0s linear 0.2s;
	translate: 0;
	opacity: 1;
	visibility: visible;
}

.portalHeaderNav{
	padding: 0.75rem 0.75rem 0.75rem 0;
	display: none;
	align-items: center;
	cursor: pointer;
}

.portalHeaderLogo{
	padding: 0.75rem 0 0.75rem 0;
	transition: translate 0.2s ease-out;
	display: flex;
	translate: -40px;
	align-items: center;
}

.portalHeaderLogo--expanded{
	transition: translate 0.2s ease-out;
	translate: 0;
}

.portalHeaderSearch{
	width: 100%;
  	position: relative;
  	margin-right: 30px;
  	display: flex;
  	align-items: center;
  	justify-content: right;
}

.headerSearch{
	border: 1px solid #4f2353;
  	border-radius: 6px;
  	height: 36px;
  	width: 420px;
  	background: #150c18;
  	padding: 0 20px;
  	display: flex;
  	flex-direction: row;
  	align-items: center;
}

.headerSearch img{
	width: 20px;
  	height: 20px;
  	margin-right: 10px;
}

.headerSearchField, .headerSearchField:active, .headerSearchField:focus{
	background: none;
  	border: none;
	outline: none;
  	font-style: italic;
  	font-weight: 500;
  	width: 100%;
}

.portalHeaderExplore{
	position: relative;
  	margin-right: 30px;
  	display: flex;
  	align-items: center;
  	justify-content: center;
}

.portalHeaderTray{
	position: relative;
  	display: flex;
  	align-items: center;
  	gap: 30px;
  	justify-content: space-between;
}

.portHeaderTraySearch{
	display: none;
}

.portHeaderTraySearch img{
	color: #FFF;
}

.prodHeaderToggle, .portHeaderToggle, .portHeaderLogo{
	display: flex;
	cursor: pointer;
}

.prodHeaderToggle img{
	height: 21px;
	width: 21px;
	padding: 0.375rem;
	cursor: pointer;
}

.portHeaderToggle img{
	height: 21px;
	width: 21px;
	padding: 0 0 0.375rem;
	cursor: pointer;
}

.prodHeaderNav img{
	height: 20px;
	width: 20px;
	padding: 0.375rem;
	cursor: pointer;
}

.portHeaderLogo img{
	height: 36px;
	width: 36px;
	padding: 0.375rem;
	cursor: pointer;
}

.productHeaderItems{
	display: flex;
	height: 100%;
	justify-content: center;
	aligh-items: center;
}

.appTiles {
	display: grid;
	grid-auto-flow: column;
	grid-auto-columns: 1fr;
	height: 100%;
	gap: 4.5rem;
}

.appTile{
	transition: width 0.3s ease-in, opacity 0.3s ease-in;
}

.appTileBTN{
	display: flex;
	-webkit-user-select: none;
	flex-direction: row;
	align-items: center;
	padding: 0.468rem 0;
	gap: 0.125rem;
	text-decoration: none;
	width: auto;
	position: relative;
}

.prodToggle{
	background: none;
	border:none;
	padding: 0;
	margin: 0;
	cursor: pointer;
}

.appTileBTN button::before{
  	border-radius: 6px;
  	content: "";
  	inset: 0;
    -webkit-mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
    mask-composite: add, add;
    mask-composite: xor;
    -webkit-mask-composite: xor;
   	mask-composite: exclude;
   	padding: 1px;
   	pointer-events: none;
   	position: absolute;
}

.prodToggle img{
	vertical-align: middle;
	margin-right:10px;
}

.prodToggle img:hover{
	filter: drop-shadow(0px 2px 1px #000);
}

.appTileBTN button:hover{
	.iconFrame{
		pointer-events: none;
  		position: absolute;
  		z-index: 0;
  		width: 40px;
  		height: 40px;
  		top: 0.468rem;
  		left: 0;
  		transition: transform .2s cubic-bezier(.6,.6,0,1);
	}
	
	.frame{
        position: absolute;
        -webkit-mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
        mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
        mask-composite: add, add;
        mask-composite: xor;
        -webkit-mask-composite: xor;
        mask-composite: exclude;
        padding: 1px;
        isolation: isolate;
        overflow: hidden;
		width: 38px;
  		height: 38px;
  		top: 0px;
  		left: 0px;
  		border-radius: 6px;
  		z-index: 2;
	}
	
	.frame::before{
        border-radius: 6px;
        content: "";
        inset: 0;
        -webkit-mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
        mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
        mask-composite: add, add;
        mask-composite: xor;
        -webkit-mask-composite: xor;
        mask-composite: exclude;
        padding: 1px;
        pointer-events: none;
        position: absolute;
        background:none;
	}
	.frame div{
		width: 20px;
  		height: 20px;
  		position: absolute;
  		bottom: -21px;
  		left: 0;
        background: linear-gradient(to top,transparent,#fff, transparent);
  		opacity: 1;
		animation: prodIcon 5s linear infinite;
	}
}

/*---------------*/
/* Nav */

.navWrapper{
	width: 100%;
  	background-color: #060408;
  	display: flex;
  	translate: -200vw 0;
  	opacity: 0;
  	transition: translate 0.4s ease-out, opacity 0.4s ease, visibility 0s linear 0.5s;
  	visibility: hidden;
	-webkit-transform: translate3d(0, 0, 0);
  	transform: translate3d(0, 0, 0);
  	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
  	position: absolute;
  	top: 100%;
  	left: 0;
  	right: 20px;
  	flex-direction: column;
  	height: calc(100dvh - 100% - 1px);
  	border-top: 1px solid #4f2353;
}

.navWrapper--expanded{
	translate: 0;
	opacity: 1;
	z-index: 2;
	transition: translate 0.4s ease-out, opacity 0.4s ease, visibility 0s linear 0s;
	visibility: visible;
	-webkit-transform: translate3d(0, 0, 0);
  	transform: translate3d(0, 0, 0);
  	-webkit-backface-visibility: visible;
	backface-visibility: hidden;
	overflow-x: clip;
}

.navItem{
	position: relative;
	display: flex;
	align-items: stretch;
	flex-direction: column;
	font-size: 14px;
	font-weight: 500;
	line-height: 1.4;
	color: #fff;
	white-space: nowrap;
}

.navLink{
	border-bottom: 1px solid #4f2353;
	padding: 20px;
	font-size: 20px;
	color: #fff;
}

.exploreWrapper{
	display: flex;
	flex-direction: column;
}

.exploreContainer{
	min-width: 1200px;
	margin: 0 auto;
	padding: 0 12px 40px;
	box-sizing: border-box;
}

.exploreContent{
	column-gap: 12px;
	display: flex;
	justify-content: space-between;
	width: 100%;
	max-width: 1200px;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

.exploreColumn{
	box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/*---------------*/


/* Keyframe Animation */

@keyframes prodIcon{
    0% {transform: translateZ(0px) translate(-10px, -21px);}
	18% {transform: translateZ(0px) translate(-10px, -40px) rotate(45deg);}
    25% {transform: translateZ(0px) translate(0px, -50px) rotate(90deg);}
    43% {transform: translateZ(0px) translate(20px, -50px) rotate(135deg);}
    50% {transform: translateZ(0px) translate(30px, -40px) rotate(180deg);}
    68% {transform: translateZ(0px) translate(30px, -20px) rotate(225deg);}
    75% {transform: translateZ(0px) translate(20px, -10px) rotate(270deg);}
    93% {transform: translateZ(0px) translate(0px, -10px) rotate(315deg);}
	100% {transform: translateZ(0px) translate(-10px, -21px) rotate(360deg);}
}

/*---------------*/
/* Responsive Design */

@media (min-width: 901px){
	.exploreWrapper{
		background-image: linear-gradient(to top,#000,#050408);
		box-shadow: 0 3px 3px 0 rgb(79, 35, 83 / 20%);
		right:0;
		padding: 40px 0 0;
		max-height: calc(100dvh - 100%);
		overflow: auto;
		box-sizing: border-box;
		position: absolute;
		top: 100%;
		left: 0;
		z-index: 1;
		transform: translate3d(0,0,0);
	}
}

@media only screen and (max-width: 900px){
	.productsHeader{
		display:none;
	}
	.portalHeader{
		width: auto;
	}
	.portalHeaderToggle{
		display: flex;
	}
	.portalHeaderLogo{
		translate: 0;
	}
	.portalHeaderExplore{
		display: none;
	}
	.headerSearch{
		display: none;
	}
	.portalHeaderTray{
  		gap: 20px;
	}
	.portHeaderTraySearch{
		display: block;
	}
	.portalHeaderNav{
		display: flex;
	}
	.portalHeaderToggle901{
		display: none !important;
	}
}
